<?xml version="1.0" encoding="utf-8"?>
<ControllerConfig Name="em12">	
<Scripts>	  
	<Script ID="BtnResetSettingsClick">
	 <![CDATA[ 
		[&ResetReg&] = '6f6c6461';
	]]>
	</Script>	
	<Script ID="SubindexAndLengthOnInit">
	 <![CDATA[ 	   
		var subIndexStr = {&SubindexAndLength&}.substr(0, 2);		
		var recCountStr = {&SubindexAndLength&}.substr(2, 2);	
		{&Subindex&} = parseInt(subIndexStr, 16);
		{&RecCount&} = parseInt(recCountStr, 16);		
	]]>
	 </Script>  
	 <Script ID="SubindexAndLengthBeforeChange">
		 <![CDATA[ 
			var subIndexStr = {&Subindex&}.toString(16);
			subIndexStr = subIndexStr.length == 1 ? '0' + subIndexStr : subIndexStr; 
			var recCountStr = {&RecCount&}.toString(16);
			recCountStr = recCountStr.length == 1 ? '0' + recCountStr : recCountStr; 		
			{&SubindexAndLength&} = subIndexStr + recCountStr; 		
		]]>
	 </Script>  	
 </Scripts>
</ControllerConfig>
